## slang2 2.3.1a

=== src/test/Makefile ===
# -*- make -*-
TEST_SCRIPTS_SLC = argv syntax scircuit eqs sscanf loops arith array strops \
  bstring pack stdio assoc selfload struct nspace path ifeval anytype arrmult \
  time utf8 except bugs list regexp method deref naninf overflow sort \
  longlong signal dollar req docfun debug qualif compare break multline \
  stack misc posixio posdir proc math

TEST_SCRIPTS_NO_SLC = autoload nspace2 prep

TEST_SCRIPTS = $(TEST_SCRIPTS_SLC) $(TEST_SCRIPTS_NO_SLC)

TEST_PGM = sltest
MEMCHECK = valgrind --tool=memcheck --leak-check=yes --leak-resolution=med --num-callers=20
RUN_TEST_PGM = ./$(TEST_PGM)
SLANGINC = ..
SLANGLIB = ../$(ARCH)objs
OTHER_LIBS = -lm
OTHER_CFLAGS =

runtests: $(TEST_PGM) cleantmp
	@tests=""; \
	for test in $(TEST_SCRIPTS); \
	do \
	   tests="$$tests $$test.sl"; \
	done; \
	for test in $(TEST_SCRIPTS_SLC); \
	do \
	   tests="$$tests $$test.slc"; \
	done; \
	MAKERUNNING=1 ./runtests.sh $$tests
#	@touch $(TEST_PGM).c

update: $(TEST_PGM) cleantmp
	@tests=""; \
	for X in $(TEST_SCRIPTS); \
	do \
	  if [ ! -e lastrun/$$X.sl ] || [ $$X.sl -nt lastrun/$$X.sl ] ; \
	  then \
	   tests="$$tests $$X.sl"; \
	  fi \
	done; \
	for X in $(TEST_SCRIPTS_SLC); \
	do \
	  if [ ! -e lastrun/$$X.slc ] || [ $$X.sl -nt lastrun/$$X.slc ] ; \
	  then \
	   tests="$$tests $$X.slc"; \
	  fi \
	done; \
	if test -n "$$tests"; \
	then \
	  MAKERUNNING=1 ./runtests.sh $$tests; \
	fi
#	@touch $(TEST_PGM).c

memcheck_runtests: $(TEST_PGM) cleantmp
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS); \
	do \
	   $(MEMCHECK) --log-file=log.$${X} $(RUN_TEST_PGM) $$X.sl; \
	   grep ERROR log.$${X}; grep 'lost: [^0]' log.$${X}; \
	   $(MEMCHECK) --log-file=log.$${X}_u $(RUN_TEST_PGM) -utf8 $$X.sl; \
	   grep ERROR log.$${X}_u; grep 'lost: [^0]' log.$${X}_u; \
	done
#	touch $(TEST_PGM).c

memcheck_runtests_slc: $(TEST_PGM) cleantmp
	@echo ""
	@echo "Running tests:"
	@echo ""
	-@for X in $(TEST_SCRIPTS_SLC); \
	do \
	   $(MEMCHECK) --log-file=log.$${X}_c $(RUN_TEST_PGM) $$X.slc; \
	   $(MEMCHECK) --log-file=log.$${X}_uc $(RUN_TEST_PGM) -utf8 $$X.slc; \
	done
#	touch $(TEST_PGM).c

memcheck: memcheck_runtests memcheck_runtests_slc

$(TEST_PGM): $(TEST_PGM).c assoc.c list.c $(SLANGLIB)/libslang.a
	$(CC) $(CFLAGS) $(OTHER_CFLAGS) $(LDFLAGS) $(TEST_PGM).c -o $(TEST_PGM) -I$(SLANGINC) -L$(SLANGLIB) -lslang $(OTHER_LIBS)
cleantmp:
	-/bin/rm -rf tmpfile*.* tmpdir*.*
clean: cleantmp
	-/bin/rm -f *~ *.o *.log log.pid* *.slc log.* *.log-*
distclean: clean
	/bin/rm -f $(TEST_PGM) $(TEST_PGM).gcda $(TEST_PGM).gcno
.PHONY: clean memcheck runtests memcheck_runtests_slc memcheck_runtests cleantmp

=== debian/changelog ===
slang2 (2.3.1a-3ubuntu1) bionic; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Drop libonig-dev build dependency because it's not in main.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 24 Feb 2018 12:31:56 -0600

slang2 (2.3.1a-3) unstable; urgency=medium

  * Support for extended terminfo. Thanks to Sven Joachim. Closes: #890769
  * Use OBJDIR src/x32elfobjs on x32-arch. Closes: #890545

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 08:33:13 +0000

slang2 (2.3.1a-2) unstable; urgency=medium

  * Standards-Version: 4.1.3; no changes required
  * Drop auto* dependencies not needed with debhelper 10
  * Delete old patches:
    - die-on-failure.patch
    - hurd-wcontinued.patch
  * Drop Priority: important on library package
  * Drop Priority: extra on udeb package 
  * Set VCS to point to salsa.debian.org/debian/slang2. Closes: #838982

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 15 Feb 2018 09:40:15 +0000

slang2 (2.3.1a-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Jan 2018 10:12:41 +0100

slang2 (2.3.1a-1) unstable; urgency=medium

  * New upstream release
    - int-fix.patch merged upstream
  * Standards-Version: 4.0.0; no changes required
  *  Add debian/gbp.conf file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2017 12:29:25 +0100

slang2 (2.3.1-5ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Nov 2016 22:52:07 +0100

slang2 (2.3.0-2.3ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Drop libonig-dev build dependency, not in main.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Apr 2016 17:01:29 +0200

=== debian/control ===
Source: slang2
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 10),
 unicode-data,
 chrpath,
 docbook-to-man,
 dpkg-dev (>= 1.16.1~),
 libncurses-dev,
 libpcre3-dev,
 libpng-dev,
 zlib1g-dev,
Standards-Version: 4.1.3
Homepage: http://www.jedsoft.org/slang/
Vcs-Browser: https://salsa.debian.org:/debian/slang2.git
Vcs-Git: https://salsa.debian.org:/debian/slang2.git

Package: libslang2-dev
Section: libdevel
Architecture: any
Depends: libslang2 (= ${binary:Version}), libc6-dev | libc-dev, libpng-dev, ${misc:Depends}
Multi-Arch: same
Built-Using: ${Built-Using}
Description: S-Lang programming library, development version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 The S-Lang library includes the following:
  * Low level tty input routines for reading single characters at a time.
  * Keymap routines for defining keys and manipulating multiple keymaps.
  * A high-level key processing interface (SLkp) for
    handling function and arrow keys.
  * High level screen management routines for manipulating both
    monochrome and color terminals. These routines are very
    efficient. (SLsmg)
  * Low level terminal-independent routines for manipulating the display
    of a terminal. (SLtt)
  * Routines for reading single line input with line editing and recall
    capabilities. (SLrline)
  * Searching functions: both ordinary searches and regular expression
    searches. (SLsearch)
  * An embedded stack-based language interpreter with a C-like syntax.

Package: libslang2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Built-Using: ${Built-Using}
Description: S-Lang programming library - runtime version
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains only the shared library libslang.so.* and copyright
 information. It is only necessary for programs that use this library (such
 as jed and slrn). If you plan on doing development with S-Lang, you will
 need the companion -dev package as well.

Package: libslang2-pic
Section: libdevel
Architecture: any
Built-Using: ${Built-Using}
Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
Description: S-Lang programming library, shared library subset kit
 This is used to develop subsets of the S-Lang shared libraries for use
 on custom installation floppies and in embedded systems. Unless you're
 making one of those, you won't need this package.

Package: libslang2-udeb
Section: debian-installer
Architecture: any
Built-Using: ${Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: S-Lang library for Debian Installer
 This is a udeb, or a microdeb, of the S-Lang library with wide character
 support. As such it is the installer counterpart of libslang2.
 You only need this package to support applications needing S-Lang during
 the Debian installation process time and probably don't need to select it.
Package-Type: udeb

Package: slsh
Section: interpreters
Architecture: any
Depends: ${shlibs:Depends}, libslang2-modules (= ${binary:Version}), ${misc:Depends}
Multi-Arch: foreign
Built-Using: ${Built-Using}
Description: Interpreter for S-Lang language
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains a stand-alone interpreter for scripts written
 in the S-Lang language.

Package: libslang2-modules
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: slang-histogram
Provides: slang-histogram
Replaces: slang-histogram
Description: Shared modules for S-Lang language
 S-Lang is a C programmer's library that includes routines for the rapid
 development of sophisticated, user friendly, multi-platform applications.
 .
 This package contains dynamically-loaded modules for S-Lang applications.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Add -O0 to workaround 675125, a bug that appeared with gcc-4.7. 
# Probably to do with uninitialized memory somewhere ?
# "src/tests/sltest ./utf8" triggers the bug; works fine in UTF-8 mode, fails otherwise.
# - amck, 2012-06-30

CFLAGS:= $(CFLAGS) -D_XOPEN_SOURCE=500 $(CPPFLAGS) -O0 -fsigned-char

# #890545: 
OBJDIR:=src/objs
ifeq ($(ARCH), x32)
  OBJDIR:=src/x32elfobjs
endif

# Magic debhelper rule
%:
	dh $@ --no-parallel

override_dh_auto_configure:
	cd autoconf \
        && autoconf \
        && mv configure ..
	dh_auto_configure -- --libdir=\$${prefix}/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_build:
	dh_auto_build
	${MAKE} -C src static
	ar cqv libslang_pic.a `LC_ALL=C ls src/elfobjs/*.o`
	INSTANT_OPT=" " docbook-to-man debian/slsh.sgml > slsh.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f slsh.1 libslang_pic.a src/test/sltest

override_dh_auto_install:
	dh_auto_install --no-parallel
	cp  /usr/share/unicode/EastAsianWidth.txt utf8/tools
	cp /usr/share/unicode/UnicodeData.txt utf8/tools
	cp src/slang.ver debian/libslang2-pic/usr/lib/libslang_pic.map
	mkdir -p debian/tmp/lib/${DEB_HOST_MULTIARCH}
	cp -a ${OBJDIR}/libslang.a debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so.* debian/tmp/lib/${DEB_HOST_MULTIARCH}
	ln -sf /lib/${DEB_HOST_MULTIARCH}/libslang.so.2 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so
	chrpath -d debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules/*.so
	chrpath -d debian/tmp/usr/bin/slsh
	mkdir -p debian/libslang2-modules/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules
	mv debian/tmp/usr/lib/*/slang/v2/modules/* debian/libslang2-modules/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules

override_dh_installchangelogs:
	dh_installchangelogs -a changes.txt

override_dh_makeshlibs:
	dh_makeshlibs -a -V --add-udeb="libslang2-udeb"

override_dh_gencontrol:
	dh_gencontrol -- -VBuilt-Using="`dpkg-query -f'$${source:Package} (= $${source:Version})' -W unicode-data`"

override_dh_compress:
	dh_compress -a -X.sl -X.c -X.h

## slang2 2.3.2

=== modules/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
#TMEXPAND = $(HOME)/lib/tmexpand/bin/tmexpand
TMEXPAND=tmexpand
MACRODIR = # -I$(HOME)/lib/tmexpand/macros
TM2SGML = tmexpand
SGML2HTML = sgml2html

HLP_FILES = pngfuns.hlp pcrefuns.hlp sockfuns.hlp onigfuns.hlp \
  randfuns.hlp forkfuns.hlp csvfuns.hlp slsmg.hlp histfuns.hlp \
  statsfuns.hlp jsonfuns.hlp base64funs.hlp chksumfuns.hlp

all: help-files
help-files: $(HLP_FILES)
html: modfuns.html

.SUFFIXES: .tm .hlp
.tm.hlp:
	$(TMEXPAND) $(MACRODIR) -Mslhlp $< $@
#----------------------------------------------------------------------------
modfuns.sgml : modfuns.tm $(HLP_FILES)
	$(TM2SGML) modfuns.tm modfuns.sgml
modfuns.html : modfuns.sgml
	$(SGML2HTML) modfuns.sgml
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *.dvi *.log *.aux *.toc *.bak *.sgml
distclean: clean
	-rm -f *.html *.ps $(HLP_FILES)
install: install-help
install-help: $(HLP_FILES)
	-mv $(HLP_FILES) ../help
	@echo
	@echo To install the html files, use make install-html
	@echo
install-html: html
	-mv *.html ../../doc/html/
.PHONY: clean distclean install install-help install-html

=== debian/changelog ===
slang2 (2.3.2-5) unstable; urgency=medium

  * Use debhelper-compat (=12)
  * Standards-Version: 4.5.0
  * Move lib from /lib/$(MA) to /usr/lib/$(MA). Closes: #923825
  * Drop hard-coded 'xz' compression

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 May 2020 09:33:46 +0100

slang2 (2.3.2-4) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * Move to debhelper compat level 12

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Jul 2019 10:26:13 +0100

slang2 (2.3.2-3) unstable; urgency=medium

  * Rebuild against unicode-data 12.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Apr 2019 09:19:19 +0100

slang2 (2.3.2-2) unstable; urgency=medium

  [Ondřej Nový]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Fix wrong Vcs-*

  [Alastair McKinstry]
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Jan 2019 15:09:19 +0000

slang2 (2.3.2-1) unstable; urgency=medium

  * New upstream release
    - extended_terminfo.patch now included upstream
  * Ack old bugs: Closes: #407835, #664075
  * Set OBJDIR to src/x32objs on x32. Closes: #890545

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 16:59:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
  unicode-data,
  chrpath,
  docbook-to-man,
  dpkg-dev (>= 1.16.1~),
  libncurses-dev,
+ libonig-dev,
  libpcre3-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://www.jedsoft.org/slang/
-Vcs-Browser: https://salsa.debian.org:/debian/slang2.git
-Vcs-Git: https://salsa.debian.org:/debian/slang2.git
+Vcs-Browser: https://salsa.debian.org/debian/slang2
+Vcs-Git: https://salsa.debian.org/debian/slang2.git
 
 Package: libslang2-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,17 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# Add -O0 to workaround 675125, a bug that appeared with gcc-4.7. 
+# Add -O0 to workaround 675125, a bug that appeared with gcc-4.7.
 # Probably to do with uninitialized memory somewhere ?
 # "src/tests/sltest ./utf8" triggers the bug; works fine in UTF-8 mode, fails otherwise.
 # - amck, 2012-06-30
 
 CFLAGS:= $(CFLAGS) -D_XOPEN_SOURCE=500 $(CPPFLAGS) -O0 -fsigned-char
 
-# #890545: 
+# #890545:
 OBJDIR:=src/objs
 ifeq ($(ARCH), x32)
-  OBJDIR:=src/x32elfobjs
+  OBJDIR:=src/x32objs
 endif
 
 # Magic debhelper rule
@@ -41,10 +41,9 @@
 	cp  /usr/share/unicode/EastAsianWidth.txt utf8/tools
 	cp /usr/share/unicode/UnicodeData.txt utf8/tools
 	cp src/slang.ver debian/libslang2-pic/usr/lib/libslang_pic.map
-	mkdir -p debian/tmp/lib/${DEB_HOST_MULTIARCH}
+	mkdir -p debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}
 	cp -a ${OBJDIR}/libslang.a debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}
-	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so.* debian/tmp/lib/${DEB_HOST_MULTIARCH}
-	ln -sf /lib/${DEB_HOST_MULTIARCH}/libslang.so.2 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so
+	ln -sf /usr/lib/${DEB_HOST_MULTIARCH}/libslang.so.2 debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/libslang.so
 	chrpath -d debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules/*.so
 	chrpath -d debian/tmp/usr/bin/slsh
 	mkdir -p debian/libslang2-modules/usr/lib/${DEB_HOST_MULTIARCH}/slang/v2/modules

## slang2 2.3.2-5build4+11.0trisquel0

=== debian/changelog ===
slang2 (2.3.2-5build4+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Nov 2022 15:19:17 +0000

slang2 (2.3.2-5build4) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:51:06 +0100

slang2 (2.3.2-5build3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:24:29 +0200

slang2 (2.3.2-5build2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:59:08 +0100

slang2 (2.3.2-5build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:36:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper-compat (= 12),
  unicode-data,

## slang2 2.3.3

=== slsh/lib/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tm-utils
# package.  See http://www.jedsoft.org/ for more information.
#
TMEXPAND = tmexpand

HLP_FILES = arrayfuns.hlp glob.hlp require.hlp structfuns.hlp cmdopt.hlp \
 readascii.hlp profile.hlp print.hlp process.hlp setfuns.hlp fswalk.hlp \
 listfuns.hlp timestamp.hlp

all: help-files
help-files: $(HLP_FILES)
.SUFFIXES: .tm .hlp
.tm.hlp:
	$(TMEXPAND) -Mslhlp $< $@
clean:
	-rm -f *~ *.dvi *.log *.aux *.toc *.bak
distclean: clean
	-rm -f *.html *.ps $(HLP_FILES)
install: $(HLP_FILES)
	-mv $(HLP_FILES) ../help

=== debian/changelog ===
slang2 (2.3.3-5) unstable; urgency=medium

  * Standards-Version: 4.7.0; no changes required
  * Fix broken symlink in udeb. Closes: #1070828
  * Support noudeb profile, thanks to Helmut Grohne. Closes: #0124934
  * Drop obsolete README.Debian. Closes: #890429

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 May 2024 06:28:20 +0100

slang2 (2.3.3-4) unstable; urgency=medium

  * Fix for leap year calculation. Closes:#1065723
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Mar 2024 08:55:37 +0000

slang2 (2.3.3-3) unstable; urgency=medium

  * Drop obsolete B-D on libncurses-dev. Closes: #1029983

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Jan 2023 08:56:49 +0000

slang2 (2.3.3-2) unstable; urgency=medium

  * Mark libslang-pic as Multi-Arch same
  * Rebuild against unicode-data 15

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Sep 2022 18:16:15 +0100

slang2 (2.3.3-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper level 13
  * Standards-Version: 4.6.1
  * Point vcs-git to -b debian/latest
  * Patch from Gisle Valem for C++ support
  * Move some install stuff from rules to libslang2-modules.install

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Aug 2022 09:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper-compat (= 13),
  unicode-data,
  chrpath,
  docbook-to-man,
  dpkg-dev (>= 1.16.1~),
- libncurses-dev,
  libonig-dev,
- libpcre3-dev,
+ libpcre2-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: http://www.jedsoft.org/slang/
 Vcs-Browser: https://salsa.debian.org/debian/slang2
-Vcs-Git: https://salsa.debian.org/debian/slang2.git
+Vcs-Git: https://salsa.debian.org/debian/slang2.git -b debian/latest
 
 Package: libslang2-dev
 Section: libdevel
@@ -63,6 +61,7 @@
 Package: libslang2-pic
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Built-Using: ${Built-Using}
 Depends: libslang2-dev (= ${binary:Version}), ${misc:Depends}
 Conflicts: slang1-utf8-pic, slang-pic, libslang1-pic
@@ -82,6 +81,7 @@
  You only need this package to support applications needing S-Lang during
  the Debian installation process time and probably don't need to select it.
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 
 Package: slsh
 Section: interpreters

=== debian/watch ===
version=3

https://www.jedsoft.org/releases/slang/ slang-([\d.]+)\.tar\.(?:bz2|gz)
# latest
#ftp://space.mit.edu/pub/davis/slang/latest/slang-([\d.]+)\.tar\.(?:bz2|gz)

## slang2 2.3.3-3build2trisquel0

=== debian/changelog ===
slang2 (2.3.3-3build2trisquel0) ecne; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:33:28 +0000

slang2 (2.3.3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:22:56 +0000

slang2 (2.3.3-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:14:57 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: slang2
 Section: devel
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Build-Depends: debhelper-compat (= 13),
  unicode-data,
  chrpath,
@@ -11,7 +11,7 @@
  libpcre2-dev,
  libpng-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.6.1
 Homepage: http://www.jedsoft.org/slang/
 Vcs-Browser: https://salsa.debian.org/debian/slang2
 Vcs-Git: https://salsa.debian.org/debian/slang2.git -b debian/latest
@@ -81,7 +81,6 @@
  You only need this package to support applications needing S-Lang during
  the Debian installation process time and probably don't need to select it.
 Package-Type: udeb
-Build-Profiles: <!noudeb>
 
 Package: slsh
 Section: interpreters
